Appointments API
Transition an appointment
Move an appointment through its supported lifecycle.
PATCH
/v1/appointments/{appointmentId}Request
Path, query, and JSON body fields accepted by this operation.
appointmentIdstring<uuid>requiredpathstatus"scheduled" | "checked_in" | "in_progress" | "completed" | "cancelled" | "no_show"requiredbodyexpectedUpdatedAtstring<date-time>requiredbody
Response
Successful responses use Dawn's data envelope.
dataAppointmentrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredpatientIdstring<uuid>requiredpractitionerIdstring<uuid>requiredstartsAtstring<date-time>requiredendsAtstring<date-time>requiredstatus"scheduled" | "checked_in" | "in_progress" | "completed" | "cancelled" | "no_show"requiredreasonstring | nullrequiredmax length 240createdAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Scheduling is disabled or unavailable.404The appointment could not be found.409The transition is not allowed or the appointment changed.422The appointment transition is invalid.503The appointment could not be updated.
Last updated on